Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1737159 - UBI 8 image does not run on s390x
Summary: UBI 8 image does not run on s390x
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: ubi8-container
Version: 8.4
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Jindrich Novy
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-08-02 22:43 UTC by Nelson Wang
Modified: 2019-09-11 07:19 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-09-11 07:19:58 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)

Description Nelson Wang 2019-08-02 22:43:08 UTC
Description of problem:
UBI8 docker image (registry.access.redhat.com/ubi8/ubi-minimal:latest) cannot run any commands when ran on an s390x host.

Version-Release number of selected component (if applicable):
docker pull registry.access.redhat.com/ubi8/ubi-minimal:latest

How reproducible:
100% reproducible on an s390x host.

Steps to Reproduce:
1. On a s390x host: docker pull registry.access.redhat.com/ubi8/ubi-minimal:latest
2. docker run -it registry.access.redhat.com/ubi8/ubi-minimal:latest cat /etc/hosts

Actual results:
Nothing, the container silently fails in the background.

etpgxek:~ # docker run -it registry.access.redhat.com/ubi8/ubi-minimal cat /etc/hosts
etpgxek:~ # docker ps -a
CONTAINER ID        IMAGE                                         COMMAND             CREATED             STATUS                       PORTS               NAMES
8222ce68495f        registry.access.redhat.com/ubi8/ubi-minimal   "cat /etc/hosts"    5 seconds ago       Exited (132) 4 seconds ago                       zealous_poincare

Expected results:
The container prints out /etc/hosts. NOTE: ubi7 image works successfully.

# docker run -it registry.access.redhat.com/ubi7/ubi-minimal:latest cat /etc/hosts
127.0.0.1             localhost
::1           localhost ip6-localhost ip6-loopback
fe00::0  ip6-localnet
ff00::0   ip6-mcastprefix
ff02::1   ip6-allnodes
ff02::2   ip6-allrouters
172.17.0.2           e1b02a578df0

Additional info:

Comment 2 Scott McCarty 2019-08-22 20:19:48 UTC
Nelson,
     What is the underlying host os? I think that could be playing a role here. Have you tried this on a RHEL 8 host running on s390?

Product Manager - Red Hat Universal Base Image
Best Regards
Scott McCarty

Comment 3 Nelson Wang 2019-08-22 20:46:37 UTC
etpgxek:~ # uname -a
Linux etpgxek 4.4.103-94.6-default #1 SMP Tue Jan 9 12:53:49 UTC 2018 (69ac2b4) s390x s390x s390x GNU/Linux
etpgxek:~ # cat /etc/os-release
NAME="SLES"
VERSION="12-SP3"
VERSION_ID="12.3"
PRETTY_NAME="SUSE Linux Enterprise Server 12 SP3"
ID="sles"
ANSI_COLOR="0;32"
CPE_NAME="cpe:/o:suse:sles:12:sp3"

I don't quite have the capability to change the host OS to RHEL - however, I'm under the impression that with Docker and the UBI8 that it shouldn't matter what the underlying host is?

Comment 4 Josh Boyer 2019-08-23 11:54:51 UTC
Hi Nelson,

The underlying host and machine type can certainly matter in a few cases.  If the OS in the container requires features not present in the host kernel or if the OS in the container has been built with for a specific hardware generation then you can run into errors.  RHEL 8, and therefor UBI8, was built for the z13 hardware platform on the s390x architecture.  If your s390x instance isnt' a z13 or newer machine, the UBI 8 containers will not work.

It's unclear to me if there are software compatibility issues between SLES 12 SP3 and RHEL 8, but that might also be the case.

Comment 5 Josh Boyer 2019-09-05 10:44:38 UTC
Nelson, can you provide more insight into the machine you're running this on?

Comment 6 Nelson Wang 2019-09-05 19:05:20 UTC
Hey Josh - thanks for your follow-up! At the moment, I don't quite know what hardware platform this LPAR is running on top of, but let me reach out to others on my team to see if we can get more detailed specs for you.

Comment 7 Nelson Wang 2019-09-11 03:09:14 UTC
Hey Josh - we got our system updated to z13 and the UBI8 docker image works as expected now. Thanks again for your help!

Comment 8 Josh Boyer 2019-09-11 07:19:58 UTC
Thanks for the update and I'm glad it is working for you.


Note You need to log in before you can comment on or make changes to this bug.